import 'package:flutter/material.dart';
import 'package:slick/navigation/menu_configuration.dart';
import 'package:slick/navigation/route_configuration.dart';

///Some sort of comment
class SlickConfiguration {
  static void set({
    Widget unknownScreen,
    Widget errorScreen,
    Widget waitingScreen,
    List<RouteInfo> routes,
    RouteInfo dashboardRoute,
    List<Menu> menus,
  }) {
    if (unknownScreen != null) SlickConfiguration.unknownScreen = unknownScreen;
    if (errorScreen != null) SlickConfiguration.errorScreen = errorScreen;
    if (waitingScreen != null) SlickConfiguration.waitingScreen = waitingScreen;
    if (routes != null) SlickConfiguration.routes = routes;
    if (dashboardRoute != null)
      SlickConfiguration.dashboardRoute = dashboardRoute;
    if (menus != null) SlickConfiguration.menus = menus;
  }

  static Widget unknownScreen;
  static Widget errorScreen;
  static Widget waitingScreen;

  static List<RouteInfo> routes;
  static RouteInfo dashboardRoute;
  static List<Menu> menus;
}
