import 'package:flutter/material.dart';
import 'package:slick/theme/slick_theme.dart';

class SlickGridHeader extends StatelessWidget {
  final String headerText;

  const SlickGridHeader(this.headerText, {Key key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Text(
      headerText.toUpperCase(),
      style: TextStyle(
        fontWeight: FontWeight.bold,
        color: SlickColors.subTitle,
      ),
    );
  }
}
