import 'package:slick/theme/slick_theme.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class SlickTitle extends StatelessWidget {
  SlickTitle({
    Key key,
    @required this.labelText,
  }) : super(key: key);

  final String labelText;

  @override
  Widget build(BuildContext context) {
    return Text(
      labelText.toUpperCase(),
      style: GoogleFonts.barlow(
        fontSize: 18,
        fontWeight: FontWeight.w700,
        color: SlickColors.title,
      ),
    );
  }
}
